    
for i in range(nbStep):
    isoLevel.setLevel(level_start + (i*step))
    pipeLineManager.getCassandraView().rotate(.2/scaleFactor,0);
    pipeLineManager.getCassandraView().validateViewAndWait()
    time.sleep(0.1)

    filePath = outputImageBasePath
    if(i>99):
        filePath += `i`
    elif(i>9):  
        filePath += "0" + `i`
    else:
        filePath += "00" + `i`
        
    #view.HardCopy(filePath+".tiff", 1);

    
